
QGIS Application - Bug report #12901

QGIS 2.8.2 in attribute table field calc fails with $x and $y

2015-06-07 07:30 AM - ilaria marengo

Status: Closed

Priority: High

Assignee:

Category: Field calculator

Affected QGIS version:2.8.2 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20991

Description

In the attribute table ready for editing, the field calculator is not calculating $x or $y. Instead of coordinates values it displays NULL. Issue

occurs with all projections and with points and polygons features.

History

#1 - 2015-06-07 07:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Ilaria,

I cannot confirm here on the same qgis version and platform. Could you please attach a sample of your data and/or try qgis master (you can install it with

the osgeo4w installer). Thanks!

#2 - 2015-06-07 07:38 AM - Giovanni Manghi

- Category changed from Attribute table to Field calculator

#3 - 2015-06-17 09:18 PM - Martin Dobias

Note: $x and $y only work with point and multi-point geometries. Polygons are not supported and will return NULL

#4 - 2015-10-11 10:25 AM - Anita Graser

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
